Replication Links - Get
取得資料庫復寫連結。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/replicationLinks/{linkId}?api-version=2014-04-01
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
database
|
path | True |
string |
要為其取得連結的資料庫名稱。 |
|
link
|
path | True |
string |
要擷取的復寫鏈接標識碼。 |
|
resource
|
path | True |
string |
包含資源的資源群組名稱。 您可以從 Azure Resource Manager API 或入口網站取得此值。 |
|
server
|
path | True |
string |
伺服器的名稱。 |
|
subscription
|
path | True |
string |
識別 Azure 訂用帳戶的訂用帳戶標識碼。 |
|
api-version
|
query | True |
string |
要用於要求的 API 版本。 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
還行 |
範例
Get a replication link
範例要求
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-8931/providers/Microsoft.Sql/servers/sqlcrudtest-2137/databases/testdb/replicationLinks/f0550bf5-07ce-4270-8e4b-71737975973a?api-version=2014-04-01
範例回覆
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-8931/providers/Microsoft.Sql/servers/sqlcrudtest-2137/databases/testdb/replicationLinks/f0550bf5-07ce-4270-8e4b-71737975973a",
"name": "f0550bf5-07ce-4270-8e4b-71737975973a",
"type": "Microsoft.Sql/servers/databases/replicationLinks",
"location": "Japan East",
"properties": {
"partnerServer": "sqlcrudtest-1932",
"partnerDatabase": "testdb",
"partnerLocation": "Japan East",
"role": "Secondary",
"partnerRole": "Primary",
"replicationMode": "ASYNC",
"startTime": "2017-02-10T01:37:49.153Z",
"percentComplete": 100,
"replicationState": "CATCH_UP",
"isTerminationAllowed": true
}
}
定義
| 名稱 | Description |
|---|---|
|
Replication |
表示資料庫復寫連結。 |
|
Replication |
復寫連結中資料庫的角色。 |
|
Replication |
復寫連結的復寫狀態。 |
ReplicationLink
表示資料庫復寫連結。
| 名稱 | 類型 | Description |
|---|---|---|
| id |
string |
資源標識碼。 |
| location |
string |
包含此防火牆規則的伺服器位置。 |
| name |
string |
資源名稱。 |
| properties.isTerminationAllowed |
boolean |
表示是否允許終止的舊版值。 目前一律會傳回 true。 |
| properties.partnerDatabase |
string |
夥伴資料庫的名稱。 |
| properties.partnerLocation |
string |
夥伴資料庫的 Azure 區域。 |
| properties.partnerRole |
復寫連結中夥伴資料庫的角色。 |
|
| properties.partnerServer |
string |
裝載夥伴資料庫的伺服器名稱。 |
| properties.percentComplete |
integer (int32) |
復寫連結的植入完成百分比。 |
| properties.replicationMode |
string |
此複寫連結的複寫模式。 |
| properties.replicationState |
復寫連結的復寫狀態。 |
|
| properties.role |
復寫連結中資料庫的角色。 |
|
| properties.startTime |
string (date-time) |
復寫連結的開始時間。 |
| type |
string |
這是的資源類型。 |
ReplicationRole
復寫連結中資料庫的角色。
| 值 | Description |
|---|---|
| Primary | |
| Secondary | |
| NonReadableSecondary | |
| Source | |
| Copy |
ReplicationState
復寫連結的復寫狀態。
| 值 | Description |
|---|---|
| PENDING | |
| SEEDING | |
| CATCH_UP | |
| SUSPENDED |